<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
				<table width="{$pagewidth}">
				<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
				</xsl:for-each>
				<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
				</tr>
				<tr>
					<td class="content">
						<form action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST">
						<input type="hidden" name="func" value="AddDiskToArray"/>
						<input type="hidden" name="sourceid" value="{hpt_raidman_page/hpt_raid/add_disk/source_id}"/>
						<table id="adddisktable" width="{$pagewidth}" border="0">
							<tr>
								<td class="title" align="center">Add Disk To Array</td>
							</tr>
							<tr>
								<td class="content">
									<table border="0" cellspacing="20">
										<tr>
											<td width="100">Array Name:</td>
											<td>
												<input name="sourcename" type="text" size="16" value="{hpt_raidman_page/hpt_raid/add_disk/source_name}" disabled="true"/>
											</td>
										</tr>
										<tr>
											<td>Available Disks:</td>
											<td>
												<table border="0">
													<thead>
														<td/>
														<td/>
														<td>Model</td>
														<td>Location</td>
														<td>Capacity</td>
														<td>Max Free</td>
													</thead>
													<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
														<tr>
															<td>
																<input type="radio" name="targetid" value="{@id}">
																	<xsl:if test="position()=1">
																		<xsl:attribute name="checked">true</xsl:attribute>
																	</xsl:if>
																</input>
															</td>
															<xsl:call-template name="DrawDiskInfoRowCell">
																<xsl:with-param name="simple">true</xsl:with-param>
															</xsl:call-template>
														</tr>	
													</xsl:for-each>	
												</table>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr>
								<td>
									<p align="center">
										<input type="submit" value="Submit" name="AddDiskToArray"/>
									</p>
								</td>
							</tr>
						</table>
						</form>
					</td>
				</tr>
				</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>