<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="old_public.xsl"/>
	<xsl:output method="html"/>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td>
								<form action="login.cgi" method="POST" name="loginform">
									<input type="hidden" name="func" value="Auth"/>
									<table border="0">
										<tbody>
											<tr>
												<td class="title" colspan="2" width="350">Please Login</td>
											</tr>
											<tr>
												<td>
													<table>
														<tr>
															<td class="content">User Name</td>
															<td class="content">
																<input type="text" name="user" value="" maxlength="63"/>
															</td>
														</tr>
														<tr>
															<td class="content">Password</td>
															<td class="content">
																<input type="password" name="pwd" value="" maxlength="16"/>
															</td>
														</tr>
													</table>
												</td>
											</tr>
											<tr>
												<td class="tabledata">
													<input type="submit" value="Login" name="submit"/>
												</td>
											</tr>
										</tbody>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>