<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<!--xsl:import href="devinfo.xsl"/-->
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function ExamPassword(){
				var theform = document.forms['passwordform'];
				if(theform.elements[1].value != theform.elements[2].value){
					alert("The passwords you typed do not match.");
					return false;
				}
				return true;
			}
			function ExamSMTPSetting(){
				var theform = document.forms['smtpform'];
				if(theform.elements[2].value == ""){
					alert("Please input the Server Address.");
					return false;
				}
				if (theform.elements[3].value == ""){
					alert("Please input the Mail From.");
					return false;
				}
				if (theform.elements[6].value == ""){
					alert("Please input the SMTP port number.");
					return false;
				}
				return true;
			}
			function ExamDeleteRecipient(){
				var theform = document.forms['recipientsform'];
				i = 1;
				count = 0;
				while(theform.elements[i]!=0){
					if(theform.elements[i].type != "checkbox")	break;
					if (theform.elements[i].checked) count++;
					i++;
				}
				if(count==0){
					alert("Please select the recipient you want to delete.");
					return false;
				}
				return true;
			}
			function ExamAddRecipient(){
				var theform = document.forms['addrecipientform'];
				if(theform.elements[1].value == ""){
					alert("Please input the E-mail Address.");
					return false;
				}
				if (theform.elements[2].value == ""){
					alert("Please input the Name.");
					return false;
				}
				i = 3;
				count = 0;
				while(theform.elements[i]!=0){
					if(theform.elements[i].type != "checkbox") break;
					if (theform.elements[i].checked) count++;
					i++;
				}
				
				if(count==0){
					alert("Please select the Event Level.");
					return false;
				}
				return true;
			}</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%">
									<xsl:for-each select="hpt_raidman_page/setting/RebuildPriority">
									<tr>
										<td class="title" align="center">RebuildPriority</td>
									</tr>
									<tr>
										<td>
											<form name="portform" method="POST">
												<input type="hidden" name="func" value="SetRebuildPriority"/>
												<table cellpadding="2">
													<tr>
														<td>Set RebuildPriority:</td>
														<td>
														<select size="1" name="RebuildPriority">
																<option value="0">
																	<xsl:if test="../RebuildPriority=0">
																		<xsl:attribute name="selected"/>
																	</xsl:if>
																Lowest</option>
																<option value="25">
																	<xsl:if test="../RebuildPriority=25">
																		<xsl:attribute name="selected"/>
																	</xsl:if>
																Low</option>
																<option value="50">
																	<xsl:if test="../RebuildPriority=50">
																		<xsl:attribute name="selected"/>
																	</xsl:if>
																Medium</option>
																<option value="75">
																	<xsl:if test="../RebuildPriority=75">
																		<xsl:attribute name="selected"/>
																	</xsl:if>
																High</option>
																<option value="100">
																	<xsl:if test="../RebuildPriority=100">
																		<xsl:attribute name="selected"/>
																	</xsl:if>
																Highest</option>
														</select>
														</td>
														<td>
																<input type="submit" name="submit" value="Change"/>
														</td>
													</tr>
													<tr>
														<td/>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									</xsl:for-each>
									<tr>
										<td class="title" align="center">Listening Port</td>
									</tr>
									<tr>
										<td>
											<form name="portform" method="POST">
												<input type="hidden" name="func" value="SetPort"/>
												<table cellpadding="2">
													<tr>
														<td colspan="2">
															<input type="checkbox" name="localhost" value="1">
																<xsl:if test="hpt_raidman_page/setting/remote_access='0'">
																	<xsl:attribute name="checked"/>
																</xsl:if>
															</input>
															Restrict to localhost access.
														</td>
													</tr>
													<tr>
													
														<td>Port Number:</td>
														<td>
															<input type="text" name="port" maxlength="5">
																<xsl:attribute name="value">
																	<xsl:value-of select="hpt_raidman_page/setting/server_port"/>
																</xsl:attribute>
																<xsl:if test="hpt_raidman_page/setting/server_port/@modify!=1">
																	<xsl:attribute name="disabled"/>
																</xsl:if>
															</input>
														</td>
													</tr>
													<tr>
														<td/>
														<td>
															<xsl:if test="hpt_raidman_page/setting/server_port/@modify=1">
																<input type="submit" name="submit" value="Change"/>
															</xsl:if>
														</td>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									<tr>
										<td class="title" align="center">Password</td>
									</tr>
									<tr>
										<td>
											<form name="passwordform" method="POST" onsubmit="return ExamPassword();">
												<input type="hidden" name="func" value="SetPassword"/>
												<table cellpadding="2">
													<tr>
														<td>Password:</td>
														<td>
															<input type="password" name="password" maxlength="8"/>
														</td>
													</tr>
													<tr>
														<td>Confirm:</td>
														<td>
															<input type="password" name="confirm" maxlength="8"/>
														</td>
													</tr>
													<tr>
														<td/>
														<td>
															<input type="submit" name="submit" value="Change Password"/>
														</td>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									<tr>
										<td class="title" align="center">SMTP Setting</td>
									</tr>
									<tr>
										<td>
											<form name="smtpform" method="POST" onsubmit="return ExamSMTPSetting();">
												<input type="hidden" name="func" value="SetSmtp"/>
												<table cellpadding="2">
													<tr>
														<td>
															<input type="checkbox" name="enable" value="ON">
																<xsl:if test="hpt_raidman_page/setting/smtp/@enabled='1'">
																	<xsl:attribute name="checked"/>
																</xsl:if>
															</input>Enable Event Notification</td>
														<td/>
													</tr>
													<tr>
														<td>Server Address (name or IP):</td>
														<td>
															<input type="text" name="smtpadd" value="{hpt_raidman_page/setting/smtp/server}" maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>Mail From (E-mail address):</td>
														<td>
															<input type="text" name="fromadd" value="{hpt_raidman_page/setting/smtp/from}" maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>Login Name:</td>
														<td>
															<input type="text" name="lognamedd" value="{hpt_raidman_page/setting/smtp/logname}" maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>Password:</td>
														<td>
															<input type="password" name="passdd"  maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>SMTP Port:</td>
														<td>
															<xsl:if test="count(hpt_raidman_page/setting/smtp/port) = 0">
																<input type="text" name="port" value="25" maxlength="5"/>
															</xsl:if>
															<xsl:if test="count(hpt_raidman_page/setting/smtp/port) > 0">
															<input type="text" name="port" value="{hpt_raidman_page/setting/smtp/port}" maxlength="5"/>
															</xsl:if>
														</td>
													</tr>
													<tr>
														<td/>
														<td>
															<input type="submit" name="submit" value="Change Setting"/>
														</td>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									<tr>
										<td class="title" align="center">Recipients</td>
									</tr>
									<tr>
										<td>
											<form name="recipientsform" method="POST" onsubmit="return ExamDeleteRecipient();">
												<table cellpadding="2" width="100%">
													<thead>
														<td class="head">E-mail</td>
														<td class="head">Name</td>
														<td class="head">Event Level</td>
													</thead>

													<input type="hidden" name="func" value="DeleteRecipient"/>
													<xsl:for-each select="hpt_raidman_page/setting/recipients/recipient">
														<tr>
															<td>
																<input type="checkbox" name="check_{position()}" value="{email}"/>
																<xsl:value-of select="email"/>
															</td>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td>
																<xsl:value-of select="information"/>
																<xsl:value-of select="warning"/>
																<xsl:value-of select="error"/>
															</td>
														</tr>
													</xsl:for-each>
													<tr>
														<td>
															<xsl:if test="count(hpt_raidman_page/setting/recipients/recipient)&gt;0">
																<input type="submit" name="submit" value="Delete"/>
															</xsl:if>
														</td>
														<td/>
														<td/>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									<tr>
										<td class="title" align="center">Add Recipient</td>
									</tr>
									<tr>
										<td>
											<form name="addrecipientform" method="POST" onsubmit="return ExamAddRecipient();">
												<table cellpadding="2" width="100%">
													<input type="hidden" name="func" value="AddRecipient"/>
													<tr>
														<td>E-mail:</td>
														<td>
															<input type="text" name="email" maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>Name:</td>
														<td>
															<input type="text" name="name" maxlength="63"/>
														</td>
													</tr>
													<tr>
														<td>Event Level:</td>
														<td>
															<input type="checkbox" name="check_info" value="information"/>Information
															<input type="checkbox" name="check_warn" value="warning"/>Warning
															<input type="checkbox" name="check_error" value="error"/>Error</td>
													</tr>
													<tr>
														<td>
															<input type="submit" name="AddSubmit" value="Add"/>
															<input type="submit" name="TestSubmit" value="Test"/>
														</td>
														<td/>
													</tr>
												</table>
											</form>
										</td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>