<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">var IE = (document.all != null);
	function Smart_Enable(id){
		var theform = document.forms['opform'];
		theform.elements[0].value="EnableSmart";
		theform.elements[1].value=id;
		theform.submit();
		return true;
	}
	function HidePage(){
		var length = document.getElementsByTagName("div").length;
		for(i=1;i&lt;length;i++)
			document.getElementsByTagName("div")[i].style.display = "none";
	}
	function ShowSmartPopup(id){
		HidePage();
		var tmpObj;
  		if(IE) {
    		tmpObj = eval('document.all.' + id + '.style');
  		} else {
			tmpObj = document.getElementById(id).style;
  		}
		tmpObj.display = "block";
	}
	</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
							<tr> 
						<td>	
							<table align="right">
								<tr>
									<td id="shibutton"  onmouseout="OutItem2sm();return true;" onmouseover="OverItem2sm();return true;" align="right" onclick="go_page('task')" style="cursor: pointer; text-align: center"><font class="labelbtn" size="4" style="TEXT-DECORATION: underline; FONT-WEIGHT: bold;" color="#0000ff" >Schedule</font></td>
								</tr>
							</table>
						</td>
						</tr>
						<tr>
							<td class="title" align="center">Storage Health Inspector(SHI)</td>
						</tr>
					
						<tr>
							<td class="content">
								<table cellpadding="0" align="center" width="100%" border="0" cellspacing="0">
									<tr>
										<td class="content" ><font size="2">Controller ID</font></td>
										<td class="content" ><font size="2">Port#</font></td>
										<td class="content"><font size="2">Device Serial Number</font></td>
										<td class="content"><font size="2">RAID</font></td>
										<td class="content" width="40" align="center">&#176;<font size="2">F</font></td>
										<td class="content" align="center"><font size="2">
										<table >
											<tr>
												<td align="center">Bad Sectors</td>
											</tr>
											<tr>
												<td>Found &amp; Repaired</td>
											</tr>
										</table>
										</font></td>
										<td class="content"><font size="2">Device Status
										</font></td>
									</tr>
										<xsl:for-each select="hpt_raidman_page/dsk_info">
											<tr>
											<td align="left" valign="center">
												<xsl:value-of select="ctlid"/>
											</td>
											<td valign="center">
												<xsl:value-of select="port"/>
											</td>
											<td valign="center">
												<xsl:value-of select="dskmodel"/>
											</td>
											<td valign="top">
											<table border="0">
												<xsl:if test="count(raidmember/member)=0">
												<tr>
													<td valign="center">
														None
													</td>
												</tr>	
												</xsl:if>
												<xsl:if test="count(raidmember/member)&gt;0">
												<xsl:for-each select="raidmember/member">
												<tr>
													<td valign="center">
														<xsl:value-of select="."/>
													</td>
												</tr>	
												</xsl:for-each>
												</xsl:if>	
											</table>
											</td>
											<td align="center" valign="center">
												<font size="2">
												<xsl:if test="count(temp)&gt;0">
													<xsl:if test="temp&gt;=104">
														<xsl:attribute name="color">#ff0000</xsl:attribute>
													</xsl:if>
													<xsl:if test="temp&lt;104">
														<xsl:attribute name="color">#00ff00</xsl:attribute>
													</xsl:if>
													<xsl:value-of select="temp"/>
												</xsl:if>
													<xsl:if test="count(temp)=0">
													<font color="#ff0000">Failed</font>
													</xsl:if>
												</font>
											</td>
											<td align="center" valign="center">
												<xsl:if test="count(badsector)=0">
													None
												</xsl:if>
												<xsl:if test="count(badsector)&gt;0">
													<xsl:value-of select="badsector"/>
												</xsl:if>
											</td>



											<td>
												<table border="0" width="100%">
													<tr>
														<td align="left" valign="top">
															<font size="2">
															<xsl:if test="smart_info/status!='OK'">
																<xsl:attribute name="color">#ff0000</xsl:attribute>
															</xsl:if>
															<xsl:value-of select="smart_info/status"/>
															</font>
														</td>
														<td   align="right">
															<xsl:call-template name="DrawLabelBtn">
															<xsl:with-param name="caption">SMART</xsl:with-param>
															<xsl:with-param name="btnid">
															<xsl:value-of select="@id"/>_Details</xsl:with-param>
															<xsl:with-param name="onclick">ShowSmartPopup("<xsl:value-of select="@id"/>_details")</xsl:with-param>
															</xsl:call-template>
														</td>
													</tr>
												</table>
											</td>	
											</tr>
										</xsl:for-each>
								</table>
							</td>
						</tr>
						<xsl:for-each select="hpt_raidman_page/dsk_info">
						<xsl:for-each select="smart_info">
						<tr>
							<td class="content">
								<div style="display:none"><xsl:attribute name="id"><xsl:value-of select="../@id"/>_details</xsl:attribute>
								<table>
									<tr>
										<td>
										<table cellpadding="3" cellspacing="5">
										<tr>
											<td class="diskattrname" height="30">Device Name</td>
											<td>
												<xsl:value-of select="disk_name"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">Model Number</td>
											<td>
											<xsl:value-of select="model"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">Temperature Celsius</td>
											<td>
												<xsl:value-of select="temperature"/>
											</td>
										</tr>
										<tr>
											<td class="diskattrname">S.M.A.R.T</td>
											<td>
											<xsl:if test="enable='true'">Enabled
												<button onclick="Smart_Enable('{disk_id}')">Disable</button>
											</xsl:if>
											<xsl:if test="enable='false'">Disabled
												<button onclick="Smart_Enable('{disk_id}')">Enable</button>
											</xsl:if>
											</td>
										</tr>
										<!--><tr>
											<td class="diskattrname">Status</td>
											<td>
											<xsl:if test="status='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											<xsl:if test="status!='OK'">
												<font class="normal">
													<xsl:value-of select="status"/>
												</font>
											</xsl:if>
											</td>
										</tr><-->
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:if test="enable='true'">
									<xsl:apply-templates select="."/>
								</xsl:if>
							</td>
						</tr>
						
						
						</table></div></td></tr></xsl:for-each></xsl:for-each>

						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="smart_info">
		<table id="smartattrtable" width="{$pagewidth}">
			<tr>
				<td class="title" align="center">S.M.A.R.T Attributes</td>
			</tr>
			<tr>
				<td class="content">
					<table width="100%" cellpadding="4">
						<tr>
							<td class="diskattrname">ID</td>
							<td class="diskattrname">Name</td>
							<td class="diskattrname">Threshold</td>
							<td class="diskattrname">Worst</td>
							<td class="diskattrname">Value</td>
							<td class="diskattrname">Status</td>
						</tr>
						<xsl:for-each select="attribute">
							<tr>
								<td>
									<xsl:value-of select="@id"/>
								</td>
								<td>
									<xsl:value-of select="name"/>
								</td>
								<td>
									<xsl:value-of select="threshold"/>
								</td>
								<td>
									<xsl:value-of select="worst"/>
								</td>
								<td>
									<xsl:value-of select="value"/>
								</td>
								<td>
									<xsl:if test="@status='normal'">
										<font class="normal">OK</font>
									</xsl:if>
									<xsl:if test="@status!='normal'">
										<font class="critical">FAILED</font>
									</xsl:if>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</td>
			</tr>
			
		</table>
	</xsl:template>
</xsl:stylesheet><!-- Stylus Studio meta-information - (c)1998-2003. Sonic Software Corporation. All rights reserved.
<metaInformation>
<scenarios ><scenario default="yes" name="Scenario1" userelativepaths="yes" externalpreview="no" url="localhost.xml" htmlbaseurl="" outputurl="" processortype="internal" profilemode="0" urlprofilexml="" commandline="" additionalpath="" additionalclasspath="" postprocessortype="none" postprocesscommandline="" postprocessadditionalpath="" postprocessgeneratedext=""/></scenarios><MapperInfo srcSchemaPath="" srcSchemaRoot="" srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/>
</metaInformation>
-->