<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="public.xsl"/>
	<xsl:import href="devinfo.xsl"/>
	<xsl:variable name="userid">
		<xsl:value-of select="hpt_raidman_page/session/session_id"/>
	</xsl:variable>
	<xsl:template match="/">
		<html>
			<SCRIPT language="Javascript">function ExamDeleteTask(){
				var theform = document.forms['taskform'];
				i = 1;
				count = 0;
				while(theform.elements[i]!=0){
					if(theform.elements[i].type != "checkbox")	break;
					if (theform.elements[i].checked) count++;
					i++;
				}
				if(count==0){
					alert("Please select the task you want to delete.");
					return false;
				}
				return true;
			}
			function ExamAddRebuildTask(){
				with (document.forms['addrebuildtaskform']){
	    			i = 2;
					count = 0;
					while(elements[i]!=0){
						if(elements[i].type != "radio") break;
						if (elements[i].checked) count++;
						i++;
					}
					if(count==0){
						alert("Please select the array you want to rebuild.");
						return false;
					}
					if(elements['taskname'].value==""){
    					alert("Please input the task name!");
						return false;
					}
					i=5;
					while(elements[i]!=0){
						if(elements[i].type != "text") break;
						if (elements[i].value==""){
							alert("Please input the date-time value.");
							return false;
						}
						i++;
					}
				}
				return true;
			}
			function ExamAddSHITask(){
				with (document.forms['addshitaskform']){
					if(elements['taskname'].value==""){
    					alert("Please input the task name!");
						return false;
					}
				}
				return true;
			}
			function ExamAddVerifyTask(){
				with (document.forms['addverifytaskform']){
	    			i = 2;
					count = 0;
					while(elements[i]!=0){
						if(elements[i].type != "radio") break;
						if (elements[i].checked) count++;
						i++;
					}
					if(count==0){
						alert("Please select the array you want to verify.");
						return false;
					}
					if(elements['taskname'].value==""){
    					alert("Please input the task name!");
						return false;
					}
					//occur one time
					if(elements[i+1].checked){
						i=i+2;
						while(elements[i]!=0){
							if(elements[i].type != "text") break;
							if (elements[i].value==""){
								alert("Please input the date-time value.");
								return false;
							}
							i++;
						}
					}else{
						if(elements['every'].value == ""){
							alert("Please input the frequency value.");
							return false;
						}
						if(elements['everytype'].options[2].selected){
							if(elements['monthday'].value == ""){
								alert("Please input the day of the month.");
								return false;
							}
						}
						if(elements['every_hour'].value == "" || elements['every_minute'].value == "" || elements['every_second'].value == ""){
							alert("Please input the time.");
							return false;
						}
						if(elements['from_year'].value == "" || elements['from_month'].value == "" || elements['from_day'].value == ""){
							alert("Please input the start date.");
							return false;
						}
						if(elements[i+19].checked){
							if(elements['to_year'].value == "" || elements['to_month'].value == "" || elements['to_day'].value == ""){
								alert("Please input the end date.");
								return false;
							}
						}
					}
					
				}
				return true;
			}
			function OnEveryTypeChanged(){
				l=document.getElementsByName("occurstype");	
				if (!l[0]) return true;
				with (document.forms['addverifytaskform']){
	    			if(elements['everytype'].options[0].selected){
    						elements['weekday'].disabled=true;
							elements['monthday'].disabled=true;
					}
					if(elements['everytype'].options[1].selected){
    						elements['weekday'].disabled=false;
    						elements['monthday'].disabled=true;
					}
					if(elements['everytype'].options[2].selected){
    						elements['weekday'].disabled=true;
							elements['monthday'].disabled=false;
					}
				}
				return true;
			}
			function OnEveryTypeChanged2(){
				l=document.getElementsByName("occurstype2")	
				if (!l[0]) return true;
				if(l[0].checked) {
					with (document.forms['addshitaskform']){
							elements['weekday'].disabled=true;
							elements['monthday'].disabled=true;
						}
					} 
				if(l[1].checked) {
					with (document.forms['addshitaskform']){
							elements['weekday'].disabled=false;
							elements['monthday'].disabled=true;
						}
					} 
				if(l[2].checked) {
					with (document.forms['addshitaskform']){
							elements['weekday'].disabled=false;
							elements['monthday'].disabled=true;
						}
					} 
				if(l[3].checked) {
					with (document.forms['addshitaskform']){
							elements['weekday'].disabled=true;
							elements['monthday'].disabled=false;
						}
					} 
				return true;
			}</SCRIPT>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
			</head>
			<body onload="init();OnEveryTypeChanged();OnEveryTypeChanged2()">
				<p align="center">
					<table width="{$pagewidth}">
						<xsl:for-each select="hpt_raidman_page">
						<xsl:if test="@SM2=1">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu2"/>
							</td>
						</tr>
						</xsl:if>
						<xsl:if test="count(@SM2)=0">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						</xsl:if>
						</xsl:for-each>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<table width="100%">
									<tr>
										<td class="title" align="center">Tasks List</td>
									</tr>
									<tr>
										<td>
											<form name="taskform" method="POST" onsubmit="return ExamDeleteTask();">
												<input type="hidden" name="func" value="DeleteTask"/>
												<table cellpadding="2">
													<xsl:if test="count(hpt_raidman_page/tasks/task)>0">
													<thead>
														<td/>
														<td class="head">Name</td>
														<td class="head">Description</td>
													</thead>
													</xsl:if>
													<xsl:for-each select="hpt_raidman_page/tasks/task">
														<tr>
															<td>
																<input type="checkbox" name="check_{position()}" value="{@id}"/>
															</td>
															<td>
																<xsl:value-of select="name"/>
															</td>
															<td>
																<xsl:value-of select="description"/>
															</td>
														</tr>
													</xsl:for-each>
													<tr>
														<td/>
														<td>
															<xsl:if test="count(hpt_raidman_page/tasks/task)&gt;0">
																<input type="submit" name="submit" value="Delete"/>
															</xsl:if>
														</td>
														<td/>
														<td/>
													</tr>
												</table>
											</form>
										</td>
									</tr>
									<xsl:if test="count(hpt_raidman_page/tasks/rebuild_arrays/arrays/array)&gt;0">
										<tr>
											<td class="title" align="center">New Rebuild Task</td>
										</tr>
										<tr>
											<td>
												<form name="addrebuildtaskform" method="POST" onsubmit="return ExamAddRebuildTask();">
													<input type="hidden" name="func" value="AddTask"/>
													<input type="hidden" name="tasktype" value="rebuild"/>
													<table cellpadding="2">
														<xsl:for-each select="hpt_raidman_page/tasks/rebuild_arrays/arrays/array">
															<tr>
																<td>
																	<input type="radio" name="radio_arrid" value="{@id}"/>
																</td>
																<td>
																	<xsl:value-of select="name"/>
																</td>
															</tr>
														</xsl:for-each>
														<tr>
															<td>Task Name:</td>
															<td>
																<input type="text" name="taskname" maxlength="63"/>
															</td>
														</tr>
														<tr>
															<td>Schedule:</td>
															<td>
																<table>
																	<tr>
																		<td>Occurs one time on</td>
																		<td>
																			<xsl:call-template name="DrawDateInput">
																				<xsl:with-param name="name">start_</xsl:with-param>
																				<xsl:with-param name="year">
																					<xsl:value-of select="hpt_raidman_page/server_time/year"/>
																				</xsl:with-param>
																				<xsl:with-param name="month">
																					<xsl:value-of select="hpt_raidman_page/server_time/month"/>
																				</xsl:with-param>
																				<xsl:with-param name="day">
																					<xsl:value-of select="hpt_raidman_page/server_time/day"/>
																				</xsl:with-param>
																			</xsl:call-template>
																		</td>
																		<td>at</td>
																		<td>
																			<xsl:call-template name="DrawTimeInput">
																				<xsl:with-param name="name">start_</xsl:with-param>
																				<xsl:with-param name="hour">
																					<xsl:value-of select="hpt_raidman_page/server_time/hour"/>
																				</xsl:with-param>
																				<xsl:with-param name="minute">
																					<xsl:value-of select="hpt_raidman_page/server_time/minute"/>
																				</xsl:with-param>
																				<xsl:with-param name="second">
																					<xsl:value-of select="hpt_raidman_page/server_time/second"/>
																				</xsl:with-param>
																			</xsl:call-template>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td>
																<input type="submit" name="submit" value="Submit"/>
															</td>
															<td/>
														</tr>
													</table>
												</form>
											</td>
										</tr>
									</xsl:if>
									<xsl:if test="count(hpt_raidman_page/tasks/verify_arrays/arrays/array)&gt;0">
										<tr>
											<td class="title" align="center">New Verify Task</td>
										</tr>
										<tr>
											<td>
												<form name="addverifytaskform" method="POST" onsubmit="return ExamAddVerifyTask();">
													<input type="hidden" name="func" value="AddTask"/>
													<input type="hidden" name="tasktype" value="verify"/>
													<table cellpadding="2">
														<xsl:for-each select="hpt_raidman_page/tasks/verify_arrays/arrays/array">
															<tr>
																<td>
																	<input type="radio" name="radio_arrid" value="{@id}"/>
																</td>
																<td>
																	<xsl:value-of select="name"/>
																</td>
															</tr>
														</xsl:for-each>
														<tr>
															<td>Task Name:</td>
															<td>
																<input type="text" name="taskname"  maxlength="63"/>
															</td>
														</tr>
														<tr>
															<td>Schedule:</td>
															<td>
																<table border="0">
																	<tr>
																		<td>
																			<input type="radio" name="occurstype" value="onetime" checked="true"/>
																		</td>
																		<td>Occurs one time on</td>
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<xsl:call-template name="DrawDateInput">
																							<xsl:with-param name="name">start_</xsl:with-param>
																							<xsl:with-param name="year">
																								<xsl:value-of select="hpt_raidman_page/server_time/year"/>
																							</xsl:with-param>
																							<xsl:with-param name="month">
																								<xsl:value-of select="hpt_raidman_page/server_time/month"/>
																							</xsl:with-param>
																							<xsl:with-param name="day">
																								<xsl:value-of select="hpt_raidman_page/server_time/day"/>
																							</xsl:with-param>
																						</xsl:call-template>
																					</td>
																					<td>at</td>
																					<td>
																						<xsl:call-template name="DrawTimeInput">
																							<xsl:with-param name="name">start_</xsl:with-param>
																							<xsl:with-param name="hour">
																								<xsl:value-of select="hpt_raidman_page/server_time/hour"/>
																							</xsl:with-param>
																							<xsl:with-param name="minute">
																								<xsl:value-of select="hpt_raidman_page/server_time/minute"/>
																							</xsl:with-param>
																							<xsl:with-param name="second">
																								<xsl:value-of select="hpt_raidman_page/server_time/second"/>
																							</xsl:with-param>
																						</xsl:call-template>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</tr>
																	<tr>
																		<td>
																			<input type="radio" name="occurstype" value="everytime"/>
																		</td>
																		<td>Occurs every</td>
																		<td>
																			<table border="0">
																				<tr>
																					<td>
																						<table border="0">
																							<tr>
																								<td>
																									<input type="text" name="every" value="1" size="2"/>
																								</td>
																								<td>
																									<select name="everytype" onchange="OnEveryTypeChanged()">
																										<option selected="true">Day(s)</option>
																										<option>Week(s)</option>
																										<option>Month(s)</option>
																									</select>
																								</td>
																								<td>on</td>
																								<td>
																									<select name="weekday">
																										<option selected="true">Sunday</option>
																										<option>Monday</option>
																										<option>Tuesday</option>
																										<option>Wednesday</option>
																										<option>Thursday</option>
																										<option>Friday</option>
																										<option>Saturday</option>
																									</select>
																									<input type="text" name="monthday" maxlength="2" size="2" value="1"/>
																								</td>
																								<td>at</td>
																								<td>
																									<xsl:call-template name="DrawTimeInput">
																										<xsl:with-param name="name">every_</xsl:with-param>
																										<xsl:with-param name="hour">
																											<xsl:value-of select="hpt_raidman_page/server_time/hour"/>
																										</xsl:with-param>
																										<xsl:with-param name="minute">
																											<xsl:value-of select="hpt_raidman_page/server_time/minute"/>
																										</xsl:with-param>
																										<xsl:with-param name="second">
																											<xsl:value-of select="hpt_raidman_page/server_time/second"/>
																										</xsl:with-param>
																									</xsl:call-template>
																								</td>
																							</tr>
																						</table>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</tr>
																	<tr>
																		<td/>
																		<td/>
																		<td>
																			<table>
																				<tr>
																					<td>
																						<table border="0">
																							<tr>
																								<td>Start date:</td>
																								<td>
																									<xsl:call-template name="DrawDateInput">
																										<xsl:with-param name="name">from_</xsl:with-param>
																										<xsl:with-param name="year">
																											<xsl:value-of select="hpt_raidman_page/server_time/year"/>
																										</xsl:with-param>
																										<xsl:with-param name="month">
																											<xsl:value-of select="hpt_raidman_page/server_time/month"/>
																										</xsl:with-param>
																										<xsl:with-param name="day">
																											<xsl:value-of select="hpt_raidman_page/server_time/day"/>
																										</xsl:with-param>
																									</xsl:call-template>
																								</td>
																								<td>
																									<input type="radio" name="enddate" value="enddate"/>
																								</td>
																								<td>End date:</td>
																								<td>
																									<xsl:call-template name="DrawDateInput">
																										<xsl:with-param name="name">to_</xsl:with-param>
																										<xsl:with-param name="year">
																											<xsl:value-of select="hpt_raidman_page/server_time/year"/>
																										</xsl:with-param>
																										<xsl:with-param name="month">
																											<xsl:value-of select="hpt_raidman_page/server_time/month"/>
																										</xsl:with-param>
																										<xsl:with-param name="day">
																											<xsl:value-of select="hpt_raidman_page/server_time/day"/>
																										</xsl:with-param>
																									</xsl:call-template>
																								</td>
																							</tr>
																							<tr>
																								<td/>
																								<td/>
																								<td>
																									<input type="radio" name="enddate" value="noenddate" checked="true"/>
																								</td>
																								<td>No end date</td>
																								<td/>
																							</tr>
																						</table>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td>
																<input type="submit" name="submit" value="Submit"/>
															</td>
															<td/>
														</tr>
													</table>
												</form>
											</td>
										</tr>
									</xsl:if>
									<!--begin-->
									<xsl:if test="hpt_raidman_page/tasks/shi_task&gt;0">
										<tr>
											<td class="title" align="center">Health Inspector Scheduler</td>
										</tr>
										<tr>
											<td>
												<form name="addshitaskform" method="POST" onsubmit="return ExamAddSHITask();">
													<input type="hidden" name="func" value="AddTask"/>
													<input type="hidden" name="tasktype" value="shi"/>
													<input type="hidden" name="radio_arrid" value="0"/>
													<table cellpadding="2">
														<tr>
															<td>Task Name:</td>
															<td>
																<input type="text" name="taskname" maxlength="63"/>
															</td>
														</tr>
														<tr>
															<td>Select a Schedule:</td>
															<td >
																<table>
																	<tr>
																		<td>
																			<input type="radio"  name="occurstype2" value="daily"   onclick="OnEveryTypeChanged2()"/>
																		</td>
																		<td>Daily</td>
																		<td>
																			<input type="radio" name="occurstype2" value="weekly" onclick="OnEveryTypeChanged2()" checked="true"/>
																		</td>
																		<td>Weekly</td>
																		<td>
																			<input type="radio" name="occurstype2" value="biweekly" onclick="OnEveryTypeChanged2()"/>
																		</td>
																		<td>Bi-Weekly</td>
																		<td>
																			<input type="radio" name="occurstype2" value="monthly" onclick="OnEveryTypeChanged2()"/>
																		</td>
																		<td>Monthly</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td>Select a time:</td>
															<td >
																<table>
																	<tr>
																		<td>
																				<select name="weekday">
																					<option selected="true">Sunday</option>
																					<option>Monday</option>
																					<option>Tuesday</option>
																					<option>Wednesday</option>
																					<option>Thursday</option>
																					<option>Friday</option>
																					<option>Saturday</option>
																				</select>
																				<input type="text" name="monthday" maxlength="2" size="2" value="1"/>
																		</td>
																		<td>
																			<xsl:call-template name="DrawTimeInput">
																				<xsl:with-param name="name">start_</xsl:with-param>
																				<xsl:with-param name="hour">
																					<xsl:value-of select="hpt_raidman_page/server_time/hour"/>
																				</xsl:with-param>
																				<xsl:with-param name="minute">
																					<xsl:value-of select="hpt_raidman_page/server_time/minute"/>
																				</xsl:with-param>
																				<xsl:with-param name="second">
																					<xsl:value-of select="hpt_raidman_page/server_time/second"/>
																				</xsl:with-param>
																			</xsl:call-template>
																		</td>
																	</tr>
																</table>
															</td>
														</tr>
														<tr>
															<td>
																<input type="submit" name="submit" value="Submit"/>
															</td>
															<td/>
														</tr>
													</table>
												</form>
											</td>
										</tr>
										</xsl:if>
									<!--end-->
								</table>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
	<xsl:template name="DrawDateInput">
		<xsl:param name="name"></xsl:param>
		<xsl:param name="year"></xsl:param>
		<xsl:param name="month"></xsl:param>
		<xsl:param name="day"></xsl:param>
		<table>
			<tr>
				<td>
					<input type="text" name="{$name}year" value="{$year}" maxlength="4" size="4"/>-
				</td>
				<td>
					<input type="text" name="{$name}month" value="{$month}" maxlength="2" size="2"/>-</td>
				<td>
					<input type="text" name="{$name}day" value="{$day}" maxlength="2" size="2"/>
				</td>
			</tr>
		</table>
	</xsl:template>
	<xsl:template name="DrawTimeInput">
		<xsl:param name="name"></xsl:param>
		<xsl:param name="hour"></xsl:param>
		<xsl:param name="minute"></xsl:param>
		<xsl:param name="second"></xsl:param>
		<table>
			<tr>
				<td>
					<input type="text" name="{$name}hour" value="{$hour}" maxlength="2" size="2"/>:</td>
				<td>
					<input type="text" name="{$name}minute" value="{$minute}" maxlength="2" size="2"/>:</td>
				<td>
					<input type="text" name="{$name}second" value="{$second}" maxlength="2" size="2"/>
				</td>
			</tr>
		</table>
	</xsl:template>
</xsl:stylesheet>