<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:import href="old_public.xsl"/>
	<xsl:import href="old_devinfo.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<xsl:apply-templates select="hpt_raidman_page/session"/>
				<SCRIPT language="Javascript">
JBOD_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raidjb"/>;
RAID0_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid0"/>;
RAID1_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid1"/>;
RAID5_INDEX = <xsl:value-of select="hpt_raidman_page/raidindex/raid5"/>;
RAID10_INDEX =<xsl:value-of select="hpt_raidman_page/raidindex/raid10"/>;
hideCount=1;//form hidden component count
function OnArrayTypeChange(){
	with (document.forms[0]){
	if(RAID5_INDEX>-1)
	    if(elements[hideCount+0].options[RAID5_INDEX].selected){
    		elements[hideCount+2].disabled=false;
		elements[hideCount+2].options.length = 0;
    		elements[hideCount+2].options[0] = new Option("Zero Build", "Zero Build");
    		elements[hideCount+2].options[1] = new Option("Scrub(build parity)", "Scrub(build parity)");
    		elements[hideCount+2].options[2] = new Option("No Build", "No Build");
    		//elements[hideCount+3].disabled=false;
		}
	if(RAID1_INDEX>-1)	
	    if( elements[hideCount+0].options[RAID1_INDEX].selected){
    		elements[hideCount+2].disabled=false;
    		elements[hideCount+2].options.length = 0;
    		elements[hideCount+2].options[0] = new Option("Create only", "Create only");
    		elements[hideCount+2].options[1] = new Option("Create and duplicate", "Create and duplicate");
    		//elements[hideCount+3].disabled=true;
		}
	if(JBOD_INDEX>-1)
	    if( elements[hideCount+0].options[JBOD_INDEX].selected){
    		elements[hideCount+2].disabled=true;
    		//elements[hideCount+3].disabled=true;
		}
	if(RAID0_INDEX>-1)	
	   if(elements[hideCount+0].options[RAID0_INDEX].selected){
                elements[hideCount+2].disabled=true;
    		//elements[hideCount+3].disabled=false;
		}
	if(RAID10_INDEX>-1)	
	   if(elements[hideCount+0].options[RAID10_INDEX].selected){
                elements[hideCount+2].disabled=true;
    		//elements[hideCount+3].disabled=false;
		}
	}
	return true;
}
function selectall(){
	var theform = document.arrayform;
	for(i=0;i&lt;theform.elements.length;i++){
		if(theform.elements[i].type=="checkbox")
			theform.elements[i].checked=true;
  	}
	
}
function ExamCreateArray(){
  with (document.forms[0]){
    /*if(elements[1+hideCount].value==""){
      alert("Please input the array's name.");
	  return false;
    }*/
 	//end if
	i=hideCount+3
	selectcount=0;
	found = 0;
    while(elements[i]!=0){
	if (elements[i].type!="checkbox"){ 
		if(found==1)break;
	}else{
		found = 1;
      		if (elements[i].checked) selectcount++;
	}
	i++;
    }
    if(selectcount == 0){
        alert("Please select a disk.");
        document.MM_returnValue = false;
        return false;
    }
    //end while
	if(RAID1_INDEX>-1)
    if(elements[hideCount].options[RAID1_INDEX].selected){
	   if(selectcount!=2){
		   alert("RAID 1 array can only have 2 members.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(RAID0_INDEX>-1)
    if(elements[hideCount].options[RAID0_INDEX].selected){
	   if(selectcount&lt;2){
		   alert("Need at least 2 disks to create the RAID 0 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(JBOD_INDEX>-1)
	if(elements[hideCount].options[JBOD_INDEX].selected){
	   if(selectcount&lt;2){
	           if(elements[i].disabled){
		   alert("Need at least 2 disks to create the JBOD(volume) array.");
		   document.MM_returnValue = false;
           return false;}
       }
	}
	if(RAID5_INDEX>-1)
	if(elements[hideCount].options[RAID5_INDEX].selected){
	   if(selectcount&lt;3){
		   alert("Need at least 3 disks to create the RAID 5 array.");
		   document.MM_returnValue = false;
           return false;
       }
	}
	if(RAID10_INDEX>-1)
	if(elements[hideCount].options[RAID10_INDEX].selected){
		if(selectcount&lt;4){
	        alert("Need more disks to create the RAID 1/0 array.");
	        document.MM_returnValue = false;
	        return false;
        }
        if(selectcount%2!=0){
		   alert("RAID 1/0 array can't be created with odd disks.");
           document.MM_returnValue = false;
		   return false;
		}
    }
  }
  document.MM_returnValue = true;
  return true;
}</SCRIPT>
			</head>
			<body onload="init()">
				<p align="center">
					<table width="{$pagewidth}">
						<tr>
							<td>
								<xsl:call-template name="DrawTopMenu"/>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/messages"/>
							</td>
						</tr>
						<tr>
							<td class="content">
								<form name="arrayform" action="arrman.cgi?userid={hpt_raidman_page/session/session_id}" method="POST" onsubmit="return ExamCreateArray();">
									<input type="hidden" name="func" value="CreateArray"/>
									<table id="createarraytable" width="{$pagewidth}" border="0">
										<tr>
											<td class="title" align="center">Create Array</td>
										</tr>
										<tr>
											<td class="content">
												<table border="0" cellspacing="20">
													<tr>
														<td width="100">Array Type:</td>
														<td>
															<select size="1" name="arraytype" onchange="OnArrayTypeChange();">
																<xsl:if test="hpt_raidman_page/raidindex/raidjb&gt;-1">																
																	<option>JBOD(Volume)</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid0&gt;-1">
																	<option>RAID 0</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid1&gt;-1">
																	<option>RAID 1</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid5&gt;-1">
																	<option>RAID 5</option>
																</xsl:if>
																<xsl:if test="hpt_raidman_page/raidindex/raid10&gt;-1">
																	<option>RAID 1/0</option>
																</xsl:if>
															</select>
														</td>
													</tr>
													<tr>
														<td>Array Name:</td>
														<td>
															<input type="text" name="arrayname" size="16" value="Default" maxlength="15"/>
														</td>
													</tr>
													<tr>
														<td>Creation Option:</td>
														<td>
															<select size="1" name="initmethod" disabled="true">
																<option selected="true">Create only</option>
																<option>Create and duplicate</option>
															</select>
														</td>
													</tr>
													<!--tr>
														<td>Block Size:</td>
														<td>
															<select size="1" name="cache" disabled="true">
																<option>2048K</option>
																<option>1024K</option>
                                                                                                                                 <option>512K</option>
                                                                                                                                 <option>256K</option>
                                                                                                                                 <option>128K</option>
                                                                                                                                 <option  selected="true">64K</option>
                                                                                                                                 <option>32K</option> 
                                                                                                                                 <option>16K</option>                                           
															</select>
														</td>
													</tr-->
													<tr>
														<td>Available Disks:</td>
														<td>
															<table border="0">
																<thead>
																	<td/>
																	<td/>
																	<td>Location</td>
																	<td>Model</td>
																	<td>Capacity</td>
																</thead>
																<button style="width:100;FONT-FAMILY: Verdana,Arial;FONT-SIZE: 9pt;COLOR: #000000;" onclick="selectall();return false;" name="selectallmem">Select All</button>
																<xsl:for-each select="hpt_raidman_page/hpt_raid/disks/disk">
																	<tr>
																		<td>
																			<input type="checkbox" name="check_{position()}" value="{@id}"/>
																		</td>
																		<xsl:call-template name="DrawDiskInfoRowCell">
																			<xsl:with-param name="simple">true</xsl:with-param>
																		</xsl:call-template>
																	</tr>
																</xsl:for-each>
															</table>
														</td>
													</tr>
													<tr>
														<td width="0"></td>
														<td><input size="16" type="hidden" name="capacity" value="Maximum" disabled="true"/></td>
												       </tr>
												</table>
											</td>
										</tr>
										<tr>
											<td>
												<p align="center">
													<input type="submit" value="Create" name="Create"/>
												</p>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:apply-templates select="hpt_raidman_page/smart_info"/>
							</td>
						</tr>
						<tr>
							<td>
								<form name="opform" method="POST">
									<input type="hidden" name="func" value="Func ID"/>
									<input type="hidden" name="devid" value="Device ID"/>
									<input type="hidden" name="newname" value="NewName"/>
								</form>
							</td>
						</tr>
						<tr>
							<td>
								<xsl:call-template name="DrawPageTail"/>
							</td>
						</tr>
					</table>
				</p>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>